Get all Users

get

/cloudapi/restapi/user

This operation fetches all users. All attributes and assigned roles are returned for each user.

Request

There are no request parameters for this operation.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

successful operation
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : UserRO
Type: object
Title: UserRO
User record used by Cloud Administration user management APIs.
Show Source
Nested Schema : CloudTZDateTime
Type: object
Title: CloudTZDateTime
Read Only: true
Date and time when the password was last reset.
Show Source
Nested Schema : CompanyRO
Type: object
Title: CompanyRO
Company or organization record used by Cloud Administration APIs.
Show Source
Nested Schema : List<RoleRO>
Type: array
Title: List<RoleRO>
Roles assigned to the user.
Show Source
Nested Schema : List<string>
Type: array
Title: List<string>
Unique Items Required: true
Role or product associations for the company.
Show Source
Nested Schema : ShortPasswordPolicyRO
Type: object
Title: ShortPasswordPolicyRO
Summary password policy associated with a company.
Show Source
Nested Schema : RoleRO
Type: object
Title: RoleRO
Application role assigned to a user or company.
Show Source

400 Response

Invalid input, Please check.
Back to Top